'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-2a6e6244.js');

const bpSdkQuoteRequestEmptyCss = "";

let BpSdkQuoteRequestEmpty = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.useExternal = false;
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-quote-request-empty');
    customElements.whenDefined('bp-sdk-external-quote-request-empty').then(() => {
      this.useExternal = true;
    });
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return index.h("bp-sdk-external-quote-request-empty", null);
  }
  renderInternal() {
    return index.h("div", { class: "bp-sdk-quote-request-empty__container" }, "No quotes were returned.");
  }
};
BpSdkQuoteRequestEmpty.style = bpSdkQuoteRequestEmptyCss;

exports.bp_sdk_quote_request_empty = BpSdkQuoteRequestEmpty;
