import { IBusinessClassificationSelectorNudgeComponent, IRefilter } from '@boldpenguin/sdk-types';
export declare class BpSdkBusinessClassificationSelectorNudge implements IBusinessClassificationSelectorNudgeComponent {
  useExternal: boolean;
  /**
   * Refilter/nudge item
   */
  refilter: IRefilter;
  /**
   * Function passed in from container that should be called when a user answers the "yes" question
   */
  handleYesClick: (key: number, evt?: MouseEvent) => void;
  /**
   * Function passed in from container that should be called when a user answers the "no" question
   */
  handleNoClick: (key: number, evt?: MouseEvent) => void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  onYesClick: (evt: MouseEvent) => void;
  onNoClick: (evt: MouseEvent) => void;
  renderInternal(): any;
}
