import { IErrorMessages, IErrorsContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkErrorsContainer implements IErrorsContainerComponent {
  static DEFAULT_ERROR_MESSAGES: IErrorMessages;
  /**
   * Answer id
   */
  answerId: string;
  /**
   * Question Id
   */
  questionId: string;
  /**
   * minimum value
   */
  min: number;
  /**
   * minimum date
   */
  minDate: string;
  /**
   * maximum value
   */
  max: number;
  /**
   * maximum date
   */
  maxDate: string;
  /**
   * field type
   */
  fieldType: string;
  /**
   * Regex pattern to match
   */
  pattern: string;
  /**
   * Error messages
   */
  errors: string[];
  /**
   * Error text
   */
  errorText: string;
  /**
   * Error messages function map
   */
  errorMessages: IErrorMessages;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
