import { ICreateAppFormComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkCreateAppForm implements ICreateAppFormComponent {
  /**
   * On create app form handler
   */
  createAppFormHandler: () => void;
  /**
   * Is button disabled
   */
  buttonDisabled: boolean;
  /**
   * Text to display
   */
  text: string;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
